OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_SequenceNodeOfSequenceOfRepresentationItem Class Reference

`#include <StepRepr_SequenceNodeOfSequenceOfRepresentationItem.hxx>`

## Public Member Functions
| StepRepr_SequenceNodeOfSequenceOfRepresentationItem (const Handle(StepRepr_RepresentationItem)&I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Handle_StepRepr_RepresentationItem & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepRepr_RepresentationItem | myValue

## Constructor & Destructor Documentation

StepRepr_SequenceNodeOfSequenceOfRepresentationItem::StepRepr_SequenceNodeOfSequenceOfRepresentationItem | ( | const Handle(StepRepr_RepresentationItem)& | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_SequenceNodeOfSequenceOfRepresentationItem::Handle | ( | Standard_Type |  | ) | const

Handle_StepRepr_RepresentationItem& StepRepr_SequenceNodeOfSequenceOfRepresentationItem::Value | ( |  | ) | const

## Field Documentation

Handle_StepRepr_RepresentationItem StepRepr_SequenceNodeOfSequenceOfRepresentationItem::myValue`[private]`

The documentation for this class was generated from the following file:

- StepRepr_SequenceNodeOfSequenceOfRepresentationItem.hxx